package dp.flyweight.solution1b;

public class MainApp {
	public static void main(String[] args) {
		Karisim karaBarut = new Karisim();
		KimyasalMadde c = new KimyasalMadde("Karbon", "C", 12.0107);
		karaBarut.setIsim("Kara barut");
		KimyasalMadde bilesen = new KimyasalMadde("Sodyum Nitrat","NaNO3", 84.9947);
		bilesen.setGram(75); karaBarut.maddeEkle( bilesen );
		c.setGram(15); karaBarut.maddeEkle( c );
		bilesen = new KimyasalMadde("Kükürt", "S", 32.066);
		bilesen.setGram(10); karaBarut.maddeEkle( bilesen );

		Karisim temizBarut = new Karisim();
		temizBarut.setIsim("Temiz barut");
		bilesen = new KimyasalMadde("Potasyum Nitrat","KNO3", 101.1032);
		bilesen.setGram(75); temizBarut.maddeEkle( bilesen );
		c.setGram(14); temizBarut.maddeEkle( c );
		bilesen = new KimyasalMadde("Kükürt", "S", 32.066);
		bilesen.setGram(11); temizBarut.maddeEkle( bilesen );
		
		System.out.println( karaBarut.tarifEt() );
		System.out.println("c.gr="+c.getGram()); //15 ekledik 14'e düştü ...
		System.out.println( temizBarut.tarifEt() );
		System.out.println("c.gr="+c.getGram()); //...çünkü sonra bunda 14 yaptık.
		
		
}

}
