package dp.abstractFactory.solution1;

public class ApControl {
	private LibraryType library;
	private OpenGLRenderer or; 
	private OpenGLShader os;
	private DirectXRenderer dr; 
	private DirectXShader ds;
	public ApControl( LibraryType library ) {
		//library nesnesini ilklendirerek ktphane trn belirle.
		this.library = library; 
		//karmak sistem arlaryla yaplr aslnda.
	}
	public void doRendering ( ) {
		switch (library){
			case OpenGL:
				or.renderOpA();
				or.renderOpB();
				or.renderOpC();
				break;
			case DirectX:
				dr.renderOpA();
				dr.renderOpB();
				dr.renderOpC();
				break;
		}
	}
	public void doShading ( ) { 
		switch (library){
			case OpenGL:
				os.shadeOpA();
				os.shadeOpB();
				os.shadeOpC();
				break;
			case DirectX:
				ds.shadeOpA();
				ds.shadeOpB();
				ds.shadeOpC();
				break;
		}
	}
}
