package dp.abstractFactory.solution3;

public class ApControl {
	private ComponentFactory library;
	private Renderer r; 
	private Shader s;
	public ApControl( ComponentFactory library ) {
		this.library = library;
		/* Seenek A: library nesnesini ilklendirerek ktphane trn 
		 * switch-case ile nceki rnekteki gibi belirle 
		 * Seenek B: buradaki gibi kurucu metoda parametre olarak ver.
		 * Seenek C: Farkl tr hedef bilgisayarlar iin
		 * farkl datmlar yap ve alttaki uygun satrn yorumunu kaldr.
		// library = new OpenGLFactory();
		// library = new DirectXFactory();
		*/
		r = this.library.createRenderer();
		s = this.library.createShader();
	}
	public void doRendering ( ) {
		r.renderOpA();
		r.renderOpB();
		r.renderOpC();
	}
	public void doShading ( ) { 
		s.shadeOpA();
		s.shadeOpB();
		s.shadeOpC();
	}
}
