package dp.composite.solution1;

public class MainApp {

	public static void main(String[] args) {
		ManufacturingItem[ ] items = new ManufacturingItem[4];
		items[0] = new MachinePart(99, 127, "Krank Şaftı KŞ-7", "Bursa");
		Machine jenerator = new Machine(135, "Jeneratör JMX-99", "İstanbul" );
		jenerator.addPart( new MachinePart(259, 135, "Flanş FTR-5", "Bursa") );
		jenerator.addPart( new MachinePart(378, 135, "Kasnak KS-9", "İstanbul") );
		jenerator.addPart( new MachinePart(196, 135, "Rulman RL-3", "Ankara") );
		items[1] = jenerator;
		items[2] = new MachinePart(63, 76, "Distribütör DST-12", "Bursa");
		items[3] = new MachinePart(82, 19, "Pnömatik Vana VPN-7", "Ankara");
		int sayi = Report.findItems(items, "Bursa");
		System.out.println("\t" + sayi + " parça bulundu.");
	}

}
