package dp.flyweight.solution2;

public class MainApp {
	public static void main(String[] args) {
		Karisim karaBarut = new Karisim();
		karaBarut.setIsim("Kara barut");
		karaBarut.bilesenEkle( new KimyasalMadde("Sodyum Nitrat", "NaNO3", 84.9947 ), 75 );
		karaBarut.bilesenEkle( new KimyasalMadde("Karbon", "C", 12.0107), 15);
		karaBarut.bilesenEkle( new KimyasalMadde("Kükürt", "S", 32.066), 10);

		Karisim temizBarut = new Karisim();
		temizBarut.setIsim("Temiz barut");
		temizBarut.bilesenEkle( new KimyasalMadde("Potasyum Nitrat", "KNO3", 101.1032 ), 75 );
		temizBarut.bilesenEkle( new KimyasalMadde("Karbon", "C", 12.0107), 14);
		temizBarut.bilesenEkle( new KimyasalMadde("Kükürt", "S", 32.066), 11);
		
		System.out.println( karaBarut.tarifEt() );
		System.out.println( temizBarut.tarifEt() );
	}

}
