package dp.proxy.example;

public class StreamProxy implements StreamSource {
	private StreamSource original;

	public StreamProxy(StreamSource original) {
		this.original = original;
	}
	public boolean stream(String programID, String destination) {
		if( checkPayment(programID, destination) )
			return original.stream(programID, destination);
		else
			return false;
	}
	public boolean checkPayment(String programID, String destination) {
		// Ödemeyi destination parametresine göre kontrol et
		// Ödeme yapılmışsa true, aksi halde false döndür.
		return false;
	}
}
