package dp.visitor.solution1;

public class Report {
	private Project project;
	public Report() {
		project = new Project("Yüksek Lisans", "Lisansüstü eğitim (Yüksek lisans)");
		Task gorev; Deliverable urun;
		gorev = new Task("2014-1 dersleri","2014-2015 Güz yarıyılı (4 ders)",null,15);
		urun = new Deliverable("BLM 5128", "Yazılım Kalitesi ve Test Teknikleri", null, 45, 30);
		gorev.addProjectItem(urun);
		urun = new Deliverable("BLM 5130", "Nesneye Dayalı Tasarım ve Modelleme", null, 45, 40);
		gorev.addProjectItem(urun);
		urun = new Deliverable("BLM 5116", "İleri Algoritma Analizi ve Tasarımı", null, 45, 35);
		gorev.addProjectItem(urun);
		urun = new Deliverable("BLM 5140", "Veri Madenciliği ve Bilgi Keşfi", null, 45, 40);
		gorev.addProjectItem(urun);
		project.addProjectItem(gorev);
		gorev = new Task("2014-2 dersleri","2014-2015 Bahar yarıyılı (4 ders)",null,15);
		urun = new Deliverable("BLM 5126", "İleri Programlama Dilleri", null, 45, 30);
		gorev.addProjectItem(urun);
		urun = new Deliverable("BLM 5143", "Veri Tabanı Sistemlerinin Gerçeklenmesi", null, 45, 40);
		gorev.addProjectItem(urun);
		urun = new Deliverable("BLM 5139", "Çok Değişkenli Veri Analizi", null, 45, 35);
		gorev.addProjectItem(urun);
		urun = new Deliverable("BLM 5188", "Seminer", null, 45, 30);
		gorev.addProjectItem(urun);
		project.addProjectItem(gorev);
		gorev = new Task("BLM 5198","2015-2016 Yüksek lisans tezi",null,30);
		urun = new Deliverable("Tez metni", "Bez ciltli tez", null, 90, 270);
		gorev.addProjectItem(urun);
		urun = new Deliverable("Bildiri", "Ulusal veya uluslararası bildiri veya makale", null, 4, 170);
		gorev.addProjectItem(urun);
		project.addProjectItem(gorev);
	}

	public static void main(String[] args) {
		Report rep = new Report();
		ProjectCalculator calc = new ProjectCalculator(rep.project);
		System.out.println("Proje adı ve açıklaması: " + rep.project.getName() + ": " + rep.project.getDescription());
		System.out.println("Proje süresi: " + calc.calculateTimeRequired() + " hafta.");
		System.out.println("Proje maliyeti: " + calc.calculateCost() + " saat çalışma.");
	}

}
